List Webhook Event Types
curl --request GET \
--url https://ted.sandbox.lerian.net/v1/webhooks/event-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://ted.sandbox.lerian.net/v1/webhooks/event-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ted.sandbox.lerian.net/v1/webhooks/event-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"eventTypes": [
"payment_initiation.created",
"transfer.completed",
"transfer.rejected"
]
}List Webhook Event Types
Use this endpoint to retrieve the deterministic inventory of event types accepted in webhook registrations. Use these values to populate the eventTypes field when creating or patching a registration.
GET
/
v1
/
webhooks
/
event-types
List Webhook Event Types
Authorizations
BearerAuthOAuth2ClientCredentialsOAuth2Password
JWT Bearer token authentication. The tenantId is derived from the bearer token or authenticated request context and is not supplied through X-Organization-Id.
Response
Indicates that the supported event types are returned.
The deterministic inventory of event types accepted in webhook registrations.
Example:
[
"payment_initiation.created",
"transfer.completed",
"transfer.rejected"
]
Was this page helpful?
⌘I

